Index: pgjdbc/org/postgresql/jdbc2/AbstractJdbc2DatabaseMetaData.java
===================================================================
--- pgjdbc.orig/org/postgresql/jdbc2/AbstractJdbc2DatabaseMetaData.java
+++ pgjdbc/org/postgresql/jdbc2/AbstractJdbc2DatabaseMetaData.java
@@ -2510,7 +2510,7 @@ public abstract class AbstractJdbc2Datab
             tuple[13] = null;      // sql data type (unused)
             tuple[14] = null;      // sql datetime sub (unused)
             tuple[15] = tuple[6];     // char octet length
-            tuple[16] = rs.getBytes("attnum");  // ordinal position
+            tuple[16] = connection.encodeString(String.valueOf(rs.getInt("attnum"))); // ordinal position
             tuple[17] = connection.encodeString(rs.getBoolean("attnotnull") ? "NO" : "YES"); // Is nullable
 
             if (jdbcVersion >= 3) {
Index: pgjdbc/org/postgresql/test/jdbc3/DatabaseMetaDataTest.java
===================================================================
--- pgjdbc.orig/org/postgresql/test/jdbc3/DatabaseMetaDataTest.java
+++ pgjdbc/org/postgresql/test/jdbc3/DatabaseMetaDataTest.java
@@ -40,6 +40,7 @@ public class DatabaseMetaDataTest extend
             stmt.execute("DROP TABLE domtab");
             stmt.execute("DROP DOMAIN mydom");
         }
+        TestUtil.closeDB(_conn);
     }
 
     public void testGetColumnsForDomain() throws Exception

